package com.gic.enterprise.web.controller;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.dto.InvoiceDTO;
import com.gic.enterprise.qo.BillListQueryQO;
import com.gic.enterprise.qo.InvoiceListQueryQO;
import com.gic.enterprise.service.BillingPayInfoApiService;
import com.gic.enterprise.utils.ResultControllerUtils;
import com.gic.enterprise.web.vo.BillListVO;
import com.gic.finance.service.InvoiceManageApiService;

@RestController
@RequestMapping("/billing-pay-info")
public class BillingPayInfoController {
    private static final Logger LOGGER = LoggerFactory.getLogger(BillingPayInfoController.class);

    @Autowired
    private BillingPayInfoApiService billingPayInfoApiService;
    @Autowired
    private InvoiceManageApiService invoiceManageApiService;

    /**
     * 为开票单据列表
     * @Title: listBill 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  com.gic.commons.webapi.reponse.RestResponse 
      */
    @RequestMapping("/list-bill")
    public RestResponse listBill(BillListQueryQO params) {
        params.setEnterpriseId(1111);
        return ResultControllerUtils.commonPageResult(billingPayInfoApiService.listBill(params), BillListVO.class);
    }

    /**
     * 开票
     * @Title: applyInvoice 
     * @Description:
      * @author guojuxing
     * @param invoiceDTO
     * @param billingAmount
     * @param invoiceType 
     * @return  com.gic.commons.webapi.reponse.RestResponse 
      */
    @RequestMapping("/apply-invoice")
    public RestResponse applyInvoice(InvoiceDTO invoiceDTO, Double billingAmount, Integer invoiceType) {
        //todo 调用发起开票申请
        return RestResponse.success();
    }

    /**
     * 已申请开票单据列表
     * @Title: listInvoice 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  com.gic.commons.webapi.reponse.RestResponse 
      */
    @RequestMapping("/list-invoice")
    public RestResponse listInvoice(InvoiceListQueryQO params) {
        //todo 发票列表
        return RestResponse.success();
    }

}
